#!/bin/sh

CPU_ABI=`adb shell getprop ro.product.cpu.abi`
EVENT_DAEMON="arm_64bit/event_daemon"
if [ "$CPU_ABI" != "arm64-v8a" ]
then
	EVENT_DAEMON="arm_32bit/event_daemon"	
fi

adb push $EVENT_DAEMON /data/local/tmp/
adb push event_daemon.sh /data/local/tmp/
adb shell chmod 555 /data/local/tmp/event_daemon /data/local/tmp/event_daemon.sh

# kill previous event_daemon
adb shell ps | grep event_daemon | awk '{print $2}' | xargs adb shell kill

adb shell /data/local/tmp/event_daemon.sh
